<?php
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
class WordpressC2WSettingsPage
{
    /**
     * Holds the values to be used in the fields callbacks
     */
    private $options;

    /**
     * Start up
     */
    public function __construct()
    {
        add_action( 'admin_menu', array( $this, 'wordpressc2w_plugin_menu' ) );
     
    }

    /**
     * Add options page
     */
    public function wordpressc2w_plugin_menu()
    {
        // This page will be under "Tools"
        add_options_page(
            'Tools', 
            'Wordpress C2W', 
            'manage_options', 
            'wordpress_c2w', 
            array( $this, 'create_admin_page' )
        );
    }

    /**
     * Options page callback
     */
    public function create_admin_page()
    {
        // Set class property
        $this->options = get_option( 'wordpress_c2w_settings' );
        ?>
        <div class="wrap">
		
		<h1 class="wp-heading-inline">Wordpress C2W</h1>
		
		<hr/>
		<p>&nbsp;</p>
		<h2>Shortcode Usage:</h2>
		<p>Both a video ID and video type is required for use</p>
		<p>[c2w id="<strong>VIDEOID</strong>" type="<strong>VIDEOTYPE</strong>"]</p>
		<p><strong>VIDEOTYPE</strong> - Video types include <strong>youtube</strong> and <strong>vimeo</strong></p>
		<p><strong>VIDEOID</strong> - this can be found within the videos URL</p>
		<p>For YouTube it can be found as shown: https://www.youtube.com/watch?v=<strong>dQw4w9WgXcQ</strong></p>
		<p>For Vimeo it can be found as shown: https://vimeo.com/<strong>22438</strong></p>
		<p>&nbsp;</p>
		<hr/><p>&nbsp;</p>
            
     
		<hr/>
		<p>&nbsp;</p>

		<p style="text-align:right;margin-top:1.5em;">Version 1.0</p>
        </div>
        <?php
    }

   

}

if( is_admin() )
    $my_settings_page = new WordpressC2WSettingsPage();