<?php
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
/**
 * Plugin Name: Wordpress C2W
 * Plugin URI: http://www.mainstreethost.com/
 * Description: Click 2 Watch - Quick loading YouTube & Vimeo video embeds.
 * Version: 1.0
 * Author: Matthew Tresch for Mainstreethost
 * License: GPLv3 or later
 */
 
require_once( 'admin/c2w-admin.php' );



/*REGISTER REQUIRED FILES*/
function mt_c2w_scripts() {
	wp_register_script( 'c2wJS', plugins_url( '/js/c2w-scripts.js', __FILE__ ), array('jquery') );
	wp_register_style( 'c2wCSS', plugins_url( '/css/c2w-styles.css', __FILE__ ) );
		wp_enqueue_style( 'c2wCSS' );
		wp_enqueue_script( 'c2wJS' );
}
add_action( 'wp_enqueue_scripts', 'mt_c2w_scripts' );


/*SHORTCODE*/
function c2w_function( $atts  ) {

	// set up default parameters
    $c2w = shortcode_atts(array(
     'id' => '',
	 'type' => ''
    ), $atts);


	if($c2w['type'] == 'youtube') {
		return '<div class="c2w youtube-iframe" data-embed="' . $c2w['id'] . '"><i class="fab fa-youtube"></i><img src="https://i.ytimg.com/vi/'. $c2w['id'] .'/hqdefault.jpg"></div>';
	}
	else if ($c2w['type'] == 'vimeo') {
		
		$imgid = $c2w['id'];

		$hash = unserialize(file_get_contents("http://vimeo.com/api/v2/video/$imgid.php"));

		$vimeoThumb = $hash[0]['thumbnail_medium']; 
		
		return '<div class="c2w vimeo-iframe" data-embed="' . $c2w['id'] . '"><i class="fab fa-youtube"></i><img src="'. $vimeoThumb .'"></div>';
	}

	
		
}

add_shortcode('c2w','c2w_function');

?>